Package: grails.rest.render.hal

## [Groovy] Class HalJsonRenderer.1

- grails.rest.render.hal.HalJsonRenderer.1

-     class HalJsonRenderer.1
      extends HalJsonDataBindingSourceCreator

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class HalJsonDataBindingSourceCreator` | `HAL_EMBEDDED_ELEMENT`
    `class JsonDataBindingSourceCreator` | `INDEX_PATTERN, jsonSlurper`
    `class AbstractRequestBodyDataBindingSourceCreator` | `ignoredRequestBodyMethods`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `HalJsonRenderer.1 ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `MimeType[]` | `getMimeTypes()`
    `` | `java.lang.Class` | `getTargetType()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class HalJsonDataBindingSourceCreator` | `createJsonMap, getMimeTypes`
    `class JsonDataBindingSourceCreator` | `createBindingSource, createBindingSourceCreationException, createCollectionBindingSource, createDataBindingSource, createJsonMap, getMimeTypes`
    `class AbstractRequestBodyDataBindingSourceCreator` | `createBindingSource, createBindingSource, createBindingSourceCreationException, createCollectionBindingSource, createCollectionBindingSource, createCollectionDataBindingSource, createDataBindingSource, getTargetType`
    `class DefaultDataBindingSourceCreator` | `createCollectionDataBindingSource, createDataBindingSource, createDataBindingSource, getMimeTypes, getTargetType`

- - ### Constructor Detail

    - #### HalJsonRenderer.1()

  - ### Method Detail

    - #### @java.lang.Override MimeType[] getMimeTypes()

    - #### @java.lang.Override java.lang.Class getTargetType()